/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __FREETYPE_ENCODING_H
#define __FREETYPE_ENCODING_H

#include "freetype.library.h"

namespace magnum { namespace freetype {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Encoding {
public:
	enum Type {
		None = FT_ENCODING_NONE,
		Unicode = FT_ENCODING_UNICODE,
		MicrosoftSymbol = FT_ENCODING_MS_SYMBOL,
		SJIS = FT_ENCODING_SJIS,
		GB2312 = FT_ENCODING_GB2312,
		BIG5 = FT_ENCODING_BIG5,
		Wansung = FT_ENCODING_WANSUNG,
		Johab = FT_ENCODING_JOHAB,
		Latin1 = FT_ENCODING_ADOBE_LATIN_1,
		AdobeStandard = FT_ENCODING_ADOBE_STANDARD,
		AdobeExpert = FT_ENCODING_ADOBE_EXPERT,
		AdobeCustom = FT_ENCODING_ADOBE_CUSTOM,
		AppleRoman = FT_ENCODING_APPLE_ROMAN,
		OldLatin2 = FT_ENCODING_OLD_LATIN_2
	};
};

}; };

#endif
