/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS_FILTER_BYTEORDER_H
#define __GRAPHICS_FILTER_BYTEORDER_H

#include "graphics.filter.h"

namespace magnum {namespace graphics {
using magnum::io::Filter;


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class FilterByteorder : public FilterImage {
DeclareClass(FilterByteorder, FilterImage);
public:
	bool		filter(Image* dst, const Image* src);

protected:
	Image*		process(const Image* );

private:
	bool		swap24(Image* dst, const Image* src);
	bool		swap32(Image* dst, const Image* src);
	bool		swap24(Image* dst);
	bool		swap32(Image* dst);
};



}; };

#endif
