/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SCENE3D_TIMER_INL
#define __SCENE3D_TIMER_INL

namespace magnum { namespace scene3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Timer::Timer(double t) {
	init(t);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline double Timer::getCurrent() const {
	return m_Current;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline double Timer::getPrevious() const {
	return m_Previous;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline double Timer::getElapsed() const {
	return m_Elapsed;
}

}; };

#endif
