/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SCENE3D_UNIVERSE_INL
#define __SCENE3D_UNIVERSE_INL

namespace magnum { namespace scene3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline bool Universe::isEmpty() const {
	return m_Locales.isEmpty();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Universe::Iterator Universe::begin() const {
	return m_Locales.begin();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Universe::Iterator Universe::end() const {
	return m_Locales.end();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Timer* Universe::getTimer() const {
	return &m_Timer;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Timer* Universe::getTimer() {
	return &m_Timer;
}


}; };

#endif
