#include "graphics3d.constant.h"

#include "graphics3d.constant.inl"


namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
void ConstantList::remove(const char* name) {
	unsigned int size = 0;
	for (unsigned int i = 0; i < m_Constants.getSize(); i++) {
		if (strncmp(m_Constants[i]->m_Name, name, sizeof(m_Constants[i]->m_Name)) == 0) {
			m_Constants.remove(i);
			break;
		}
	}
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
bool ConstantList::contains(const char* name) const {
	for (unsigned int i = 0; i < m_Constants.getSize(); i++) {
		if (strncmp(m_Constants[i]->m_Name, name, sizeof(m_Constants[i]->m_Name)) == 0)
			return true;
	}
	return false;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
ConstantList::Iterator ConstantList::at(const char* name) const {
	for (unsigned int i = 0; i < m_Constants.getSize(); i++) {
		if (strncmp(m_Constants[i]->m_Name, name, sizeof(m_Constants[i]->m_Name)) == 0)
			return m_Constants.at(i);
	}
	return m_Constants.end();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
Constant* ConstantList::operator[](const char* name) const {
	for (unsigned int i = 0; i < m_Constants.getSize(); i++) {
		if (strncmp(m_Constants[i]->m_Name, name, sizeof(m_Constants[i]->m_Name)) == 0)
			return m_Constants[i];
	}
	ASSERT(false);
	return NULL;
}


}; };
