/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#include "media.processor.h"

#include "base.string.inl"
#include "object.class.inl"
#include "object.inl"
#include "system.thread.inl"
#include "media.node.inl"
#include "media.filter.inl"
#include "media.processor.inl"

#ifndef __FORWINDOWS__
#	error "This file is only for Windows."
#endif

namespace magnum { namespace media {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
bool ProcessorNode::loop() {
	MSG Message;
	PeekMessage(&Message, NULL, WM_USER, WM_USER, PM_NOREMOVE);

	while (::GetMessage(&Message, NULL, 0, 0)) {
	}

	return true;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
bool ProcessorNode::quit() {
	PostThreadMessage((DWORD)m_Thread->getThreadId(),WM_QUIT,NULL, NULL);
	return true;
}


}; };
