/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __ALGORITHM_SUBSET_INL
#define __ALGORITHM_SUBSET_INL

namespace magnum { namespace algorithm {


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline bool Collection::isEmpty() const {
	return m_Collection.isEmpty();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int	Collection::getSize() const {
	return m_Collection.getSize();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Collection::Iterator Collection::begin() const {
	return m_Collection.begin();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Collection::Iterator Collection::end() const {
	return m_Collection.end();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Subset& Collection::operator[](unsigned int i) const {
	return m_Collection[i];
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Subset& Collection::	operator[](unsigned int i) {
	return m_Collection[i];
}


}; };

#endif
