#ifndef __GRAPHICS3d_SHADOWVOLUME_H
#define __GRAPHICS3d_SHADOWVOLUME_H

#include "graphics3d.projectionvolume.h"
#include "graphics3d.shader.h"
#include "graphics3d.mode.h"


namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class ShadowVolume : public ProjectionVolume {
DeclareClass(ShadowVolume, ProjectionVolume);
public:
	class Shader : public magnum::graphics3d::Shader {
	protected:
		virtual void		onSelect();
		virtual void		onDeselect();
	};

	class Mode : public magnum::graphics3d::Mode {
	};

private:
	ProjectionVolume	m_Volume;
	Shader				m_Shader;
	Mode				m_Mode;
	Material*			m_Material;


public:
	ShadowVolume();

protected:
	void				onRender();
};

}; };

#endif
