/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_TETUREFACTORY_H
#define __GRAPHICS3D_TETUREFACTORY_H

#include "graphics.translator.h"

namespace magnum { namespace graphics3d {
using magnum::object::Object;
using magnum::types::String;

class Texture;

/*----------------------------------------------------------------------------------
----------------------------------------------------------------------------------*/
class TextureFactory : public Object {
DeclareClass(TextureFactory, Object);
private:
	magnum::graphics::TranslatorRoster	m_TranslatorRoster;
	String			m_Directory;

public:
	Texture*		create(const char* );
	void			release(Texture* );

	void			setDirectory(const char* );
	inline String	getDirectory() const;
};

}; };

#endif
