/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GUI3D_BOX_INL
#define __GUI3D_BOX_INL

namespace magnum { namespace gui3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	Box::setLineColour(const Colour<float> col) {
	m_LineColour = col;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Colour<float>& Box::getLineColour() const {
	return m_LineColour;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	Box::setFillColour(const Colour<float> col) {
	m_FillColour = col;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Colour<float>& Box::getFillColour() const {
	return m_FillColour;
}

}; };

#endif
