/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __MEDIA_FILTER_H
#define __MEDIA_FILTER_H

#include "media.node.h"
#include "media.pin.h"

namespace magnum { namespace media {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Filter : public Node {
DeclareClass(Filter, Node);
public:
	inline Filter(Device* dev=NULL, const char* name=NULL);
	inline ~Filter();

	inline InputPin*			getInputPin();
	inline OutputPin*			getOutputPin();
};

}; };

#endif
