/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __MEDIA_FORMAT_H
#define __MEDIA_FORMAT_H

#include "object.h"

namespace magnum { namespace media {
using magnum::object::Object;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Format : public Object {
DeclareClass(Format, Object);
public:
	enum Type {
		Audio,
		Video,
		Mixed
	};

private:
	Type		m_Type;
	int			m_BufferSize;
	int			m_Tracks;
	int			m_Channels;
	int			m_BitsPerSample;

public:

};

}; };

#endif
