/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __MEDIA_LOOPER_H
#define __MEDIA_LOOPER_H

namespace magnum { namespace media {

class Looper : public Handler {
private:
	Chain<Handler>			m_Handlers;

public:
	inline bool			addHandler(Handler* );
	inline bool			removeHandler(Handler* );

	bool				postMessage(const Message& msg);

};

}; };

#endif
