/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SCENE3D_MESHNODE_INL
#define __SCENE3D_MESHNODE_INL

namespace magnum { namespace scene3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline MeshNode::MeshNode()  {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline MeshNode::MeshNode(Mesh* m) {
	m_Mesh = m;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void MeshNode::attachMesh(Mesh* l) {
	m_Mesh = l;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	MeshNode::detachMesh() {
	m_Mesh = NULL;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Mesh* MeshNode::getMesh() const {
	return m_Mesh;
}

}; };

#endif
