/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SCENE3D_PHYSICSCONTROLLER_H
#define __SCENE3D_PHYSICSCONTROLLER_H

#include "scene3d.controller.h"
#include "physics.body.h"
#include "physics.mass.h"

namespace magnum { namespace scene3d {
using magnum::physics::Body;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T> class PhysicsController : public Controller<T> {
DeclareClass(PhysicsController, Controller);
private:
	Body				m_Body;

public:
	inline PhysicsController();
	inline explicit PhysicsController(T* );

protected:
	void				onProcess(const Timer& );
};

}; };

#endif
