/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SCENE3D_ROOT_H
#define __SCENE3D_ROOT_H

#include "container.chain.h"
#include "scene3d.group.h"

namespace magnum { namespace scene3d {
using magnum::container::Chainable;

class Universe;
class Locale;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Root : public Group, private Chainable<Root> {
DeclareClass(Root, Group);
friend class Universe;
friend class Locale;
private:
	Locale*			m_Locale;

public:
	inline Root();
};

}; };

#endif
